classdef Cell < handle
    %CELL Base cell class that stores text.
    %   Base cell that handles the text.  All other cell uses this to
    %   implement their data specific representations.
    
    properties
        text = ''
    end
    
    methods
        function str = get_matlab_string(object)
            str = object.text;
            if size(str) > 0
                s = [str(1,:)];
                for j = 2:size(str,1)
                   s = [s ' ' str(j,:)];
                end
                str = s;
            end
        end
        
        function str = get_user_string(object)
            str = object.text;
        end
        
        function set_string(object, string)
            %TODO: Verify string is a string ...
            object.text = string;
        end
    end
    
end

